Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 295545 - net-ftp/proftpd-1.3.3_rc2 needs patch (http://bugs.proftpd.org/show_bug.cgi?id=3307)
Summary: net-ftp/proftpd-1.3.3_rc2 needs patch (http://bugs.proftpd.org/show_bug.cgi?i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Luca Longinotti (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-03 12:02 UTC by Per Pomsel
Modified: 2009-12-15 18:57 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
proftpd-1.3.3_rc2-r1.ebuild (against proftpd-1.3.3_rc2.ebuild) (proftpd-1.3.3_rc2-r1.ebuild.patch,86 bytes, patch)
2009-12-03 15:55 UTC, Bernd Lommerzheim
Details | Diff
proftpd-1.3.3_rc2-bug-295545.patch (proftpd-1.3.3_rc2-bug-295545.patch,421 bytes, patch)
2009-12-03 15:55 UTC, Bernd Lommerzheim
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Pomsel 2009-12-03 12:02:23 UTC
net-ftp/proftpd-1.3.3_rc2 has a bug which prevents me from using anonymous user ftp and normal user ftp a the same time.
A Bug description can be found at http://bugs.proftpd.org/show_bug.cgi?id=3307.
So I hope the provided patch will find its way into portage.


Reproducible: Always

Steps to Reproduce:
1. configure proftpd with an anonymous section
2. try to login as a normal (non-anonymous) user

Actual Results:  
The normal user will be treated as anonymous user
Comment 1 Bernd Lommerzheim 2009-12-03 15:54:38 UTC
Hi! Thanks for your report. I will attach a proftpd-1.3.3_rc2-r1.ebuild (patch against proftpd-1.3.3_rc2.ebuild) and the proftpd-1.3.3_rc2-bug-295545.patch. Please test these and verify that they are solving this issue. Thanks.
Comment 2 Bernd Lommerzheim 2009-12-03 15:55:17 UTC
Created attachment 211864 [details, diff]
proftpd-1.3.3_rc2-r1.ebuild (against proftpd-1.3.3_rc2.ebuild)
Comment 3 Bernd Lommerzheim 2009-12-03 15:55:32 UTC
Created attachment 211866 [details, diff]
proftpd-1.3.3_rc2-bug-295545.patch
Comment 4 Per Pomsel 2009-12-04 09:44:59 UTC
(In reply to comment #3)
> Created an attachment (id=211866) [details]
> proftpd-1.3.3_rc2-bug-295545.patch
> 

The patch works fine here.
Comment 5 Bernard Cafarelli gentoo-dev 2009-12-15 18:57:01 UTC
Thanks for the report and patch! And sorry for the delay assigning this bug.

Upstream released 1.3.2c and 1.3.3_rc3, the latter which includes the fix included here. I've just added them to tree, so this bug should be fixed